Subject: RE: New idea for early cross-area review

From: [email-masked]
Date: Wed, 11 May 2005 13:24:34 +0300

Brian,

> [email-masked] wrote:
> ...
> > About cross-area review; in principle, it sounds like a 
> good idea, but
> > I wouldn't want to serialize it.  If some one performs a 
> cross-area review
> > of documents in my WG, that would be great; but often there 
> is a lot of time
> > spent on trying to explain what's going on, if the reviewer 
> hasn't taken 
> > the time to understand what we are really trying to do.
> 
> Very specifically, the proposal doesn't create a serial requirement.
> It simply creates an opportunity for parallel reviews, after a draft
> has already been published and adopted.

If we keep the scope to this, its OK, IMO.

> And if the document doesn't tell the reviewer what it's trying to do,
> perhaps by reference to other drafts, then it's the draft and not
> the reviewer that's at fault, imnsho.

In the past, I have had reviewers come into a WG without background and
asked why a protocol has not considered x, y or z.  The working group 
then spends 4 or 5 weeks explaining that x, y and z were considered, but
they were found deficient for several reasons. After much head but little
light, the reviewer then concedes that WG was right, but forward progress
on the draft has stopped.  This might not be a common occurance, but
I've seen this happen in a number of cases.  A good protocol spec, IMO,
should focus on making a reasonable interoperable implementation; spending
30 pages on justifying protocol design does not make a good protocol spec.
Generally, this is reserved for a problem statement or framework document.
If the reviewer take the time to read these documents, its easy to 
muddy the waters ...

John

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 11 May 2005 15:23:20 +0200

> 30 pages on justifying protocol design does not make a good protocol spec.

Actually, I agree for the final spec. It isn't unusual to find this
kind of rationale in a -00 draft. But it's true, a reviewer without context
will sometimes fall into this trap. I don't think that's enough to drop
the idea of early review, but it's good input to the guidelines.

    Brian